Novi Data v3 API
Retrieve the last export by ExportDate
Fetching onshore data file for Basin = Permian looks like this: /api/v3/bulk.json?q[Basin_eq]=Permian&scope=us-onshore
Retrieve the last export by ExportDate
/bulkFetching onshore data file for Basin = Permian looks like this: /api/v3/bulk.json?q[Basin_eq]=Permian&scope=us-onshore
Weekly snapshots: the last export of each ISO week (Monday to Sunday, UTC) for each Tier, Basin and SubBasin is kept and can be downloaded indefinitely. Other exports are listed for 89 days. The newest weekly snapshot before August 2026 for Basin = Permian (the week ending Sunday, July 26): /api/v3/bulk.json?q[Basin_eq]=Permian&q[IsWeeklySnapshot_eq]=true&q[ExportDate_lt]=2026-08-01&scope=us-onshore
Parameters
Query parameters
scopestringOptionalDefault
"us-horizontals"The dataset:
us-horizontals(US horizontals),gom(Gulf of Mexico),us-onshore(US onshore) orcanada(Canada). Defaults tous-horizontals."us-horizontals""gom""us-onshore""canada"qobjectOptionalFilter with Ransack matchers, for example
q[Basin_eq]=Permian. See Ransack search matchers.
Responses
200 OK
The last export by ExportDate, as a JSON array of objects.
The OpenAPI document has no schema for this response.